Name:           git-archive-all
Version:        1.23.1
Release:        %mkrel 1
Summary:        Python script wrapper for git-archive that archives a git clone and its submodules
Group:          Development/Tools
License:        MIT
URL:            https://github.com/Kentzo/git-archive-all
Source0:        https://github.com/Kentzo/git-archive-all/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description
Creates archive from the current state using
git ls-files --cached --full-name --no-empty-directory .
Supports for any level of submodules tree.
Files from submodules are extracted using the same command.

%prep
%autosetup -p1
sed -i 's@^#! /usr/bin/env python$@#! /usr/bin/env python3@' git_archive_all.py

%build

%install
%make_install prefix=%{buildroot}%{_prefix}

%files
%doc README.rst
%{_bindir}/%{name}


%changelog
* Sat Dec 10 2022 ghibo <ghibo> 1.23.1-1.mga9
+ Revision: 1920250
- Update to release 1.23.1

* Mon Mar 21 2022 umeabot <umeabot> 1.23.0-2.mga9
+ Revision: 1814205
- Mageia 9 Mass Rebuild

* Thu Mar 11 2021 daviddavid <daviddavid> 1.23.0-1.mga9
+ Revision: 1701264
- new version: 1.23.0

* Mon Oct 19 2020 akien <akien> 1.22.0-1.mga8
+ Revision: 1637010
- Version 1.22.0

* Thu Feb 20 2020 umeabot <umeabot> 1.21.0-2.mga8
+ Revision: 1546123
- Mageia 8 Mass Rebuild

* Wed Feb 19 2020 daviddavid <daviddavid> 1.21.0-1.mga8
+ Revision: 1544447
- new version: 1.21.0

* Fri Jan 31 2020 daviddavid <daviddavid> 1.20.0-1.mga8
+ Revision: 1486069
- new version: 1.20.0

* Fri Apr 26 2019 akien <akien> 1.19.4-2.mga7
+ Revision: 1395371
- Use Python 3 to support .tar.xz

* Wed Feb 06 2019 daviddavid <daviddavid> 1.19.4-1.mga7
+ Revision: 1363675
- new version: 1.19.4

* Tue Dec 11 2018 akien <akien> 1.19.3-1.mga7
+ Revision: 1340267
- Version 1.19.3

* Sat Nov 03 2018 daviddavid <daviddavid> 1.19.1-1.mga7
+ Revision: 1327941
- new version: 1.19.1

* Fri Oct 19 2018 akien <akien> 1.18.3-1.mga7
+ Revision: 1322331
- Version 1.18.3

* Thu Sep 20 2018 umeabot <umeabot> 1.17.1-2.mga7
+ Revision: 1278408
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 1.17.1-1.mga7
+ Revision: 1229366
- Version 1.17.1

* Fri Mar 24 2017 akien <akien> 1.16.4-1.mga6
+ Revision: 1094685
- Version 1.16.4

* Sun Mar 05 2017 akien <akien> 1.16-1.mga6
+ Revision: 1088755
- Version 1.16

* Sun Dec 18 2016 akien <akien> 1.15-1.mga6
+ Revision: 1075996
- Version 1.15

* Sun Jan 24 2016 akien <akien> 1.13-1.mga6
+ Revision: 926891
- Version 1.13
- Switch to python3

* Fri Aug 07 2015 wally <wally> 1.11-1.mga6
+ Revision: 861597
- tag pkg as noarch
- new version 1.11

* Mon Jun 22 2015 akien <akien> 1.10-1.mga6
+ Revision: 839395
- Version 1.10

* Wed Oct 15 2014 umeabot <umeabot> 1.8-3.mga5
+ Revision: 749093
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8-2.mga5
+ Revision: 679589
- Mageia 5 Mass Rebuild

* Mon Feb 24 2014 akien <akien> 1.8-1.mga5
+ Revision: 596690
- imported package git-archive-all

